# Solarized for PureBasic

Complementary Light and Dark color themes for the PureBasic IDE

![Solarized Preview](https://github.com/altercation/solarized/raw/master/img/solarized-yinyang.png)


## About

[Solarized](https://ethanschoonover.com/solarized/) is a carefully-designed color theme by [Ethan Schoonover](https://ethanschoonover.com/). It has many benefits:

- Reduces *brightness contrast* for reduced eyestrain
- Retains *contrasting hues* for readability
- Unified light and dark modes
- RGB values derived from CIELAB model
- Switching light/dark retains perceived contrast
- Accent colors based off colorwheel rotations
- Designed to handle fonts of various weights

More information on [Wikipedia](https://en.wikipedia.org/wiki/Solarized_(color_scheme))


## Installation

Download one or both themes, and install them from within the IDE:

- Preferences > Import/Export > Load from: (browse) > Open > Include Color settings > Import Settings

You can also change themes by menu item or keyboard shortcut with my [ChangeTheme](https://github.com/kenmo-pb/tools) IDE tool.
